054341caad
Update to dracut-044 and several cleanups. Works on tumbleweed standard installation and NFS root. OBS-URL: https://build.opensuse.org/request/show/346361 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=244
24 lines
913 B
Diff
24 lines
913 B
Diff
From b5a5fb4486dee09287df825ecd1d2f8b76a98682 Mon Sep 17 00:00:00 2001
|
|
From: Martin Wilck <martin.wilck@ts.fujitsu.com>
|
|
Date: Fri, 29 Aug 2014 15:42:51 +0200
|
|
Subject: Find kernel modules in extra and weak-updates path also
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
---
|
|
dracut-init.sh | 2 +-
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
Index: dracut-044/dracut-init.sh
|
|
===================================================================
|
|
--- dracut-044.orig/dracut-init.sh
|
|
+++ dracut-044/dracut-init.sh
|
|
@@ -1058,7 +1058,7 @@ find_kernel_modules_by_path () {
|
|
_OLDIFS=$IFS
|
|
IFS=:
|
|
while read a rest || [ -n "$a" ]; do
|
|
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
|
|
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] || continue
|
|
printf "%s\n" "$srcmods/$a"
|
|
done < "$srcmods/modules.dep"
|
|
IFS=$_OLDIFS
|